<?
 /*SCRIPT PARA MANTENIMIENTO DE CARGOS A ALUMNOS */
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_a();

/*  echo "FORMA DE PAGO
        Efectivo $txtvef - Cheque $txtvchq #$txtchq - TC $txtvtc #$txttc - DP $txtvdep #$txtdep<br><br>";
*/
  $total_cobro=0.00;
  for($i=1;$i<=$imax;$i++){
   $tmp="txtcargo$i";
   if($$tmp=="S"){
     // echo $txtcargo[$i]."->".$txtvalor[$i]."-> ID {$txtidc[$i]}<br>";
     $total_cobro+=$txtvalor[$i];
   }
  }


if($total_cobro<=0){
 alert("Debe seleccionar un detalle a pagar","frm_cp_pago.php?txtalumno=$txtcarnet");
 exit();
}

if($txtvef+$txtvchq+$txtvdep+$txtvtc <> $total_cobro){
  alert("Los totales no coinciden","javascript:history.go(-1)");
}

  $qre=mysql_query("select max(numero) as ultimo_rec
                    from cp_recibos
                    having ultimo_rec <> 'NULL'");

  if(mysql_num_rows($qre)==0){
    $next_rec=1;
  }else{
    $ire=mysql_fetch_array($qre);
    $next_rec=$ire[ultimo_rec]+1;
  }

//  echo $next_rec;

  $qdatosrec=mysql_query("select nit, nombre_fc, direccion_fc from alumnos where carnet='$txtcarnet'");
  if(mysql_num_rows($qdatosrec)==0){
    alert("El alumno no existe","frmPcp_pago.php");
  }else{
    $idatosrec=mysql_fetch_array($qdatosrec);
  }

  $sql_ins_rec="insert into cp_recibos
                set numero='$next_rec',
                fecha='$fechahora',
                nombre='{$idatosrec[nombre_fc]}',
                nit='{$idatosrec[nit]}',
                total='$total_cobro',
                vtc='$txtvtc',
                tc='$txttc',
                vdp='$txtvdep',
                dp='$txtdep',
                ef='$txtvef',
                vchq='$txtvchq',
                chq='$txtchq'";

  $qins_recibo=mysql_query($sql_ins_rec);

  for($i=1;$i<=$imax;$i++){
   $tmp="txtcargo$i";
   if($$tmp=="S"){
  //echo "<p>".$txtcargo[$i]."->".$txtvalor[$i]."-> ID {$txtidc[$i]}<br>";

   $sql_upd_cargos="update cp_cargos
                    set fecha_pago = '$fechahora',
                    saldo = 0.00,
                    documento='$next_rec',
                    tipo_doc='RE'
                    where id = '{$txtidc[$i]}'";

//   echo $sql_upd_cargos."<br>";
   $query_det_cargo=mysql_query($sql_upd_cargos);
   }
  }

  // hacer que actualice los depositos del banco
  header("Location: frame_recibo_all.php?idr=$next_rec");
  exit();
?>
<html>
<head>
<script language="javascript">
// chooser=window.open('./frame_recibo_all.php?idr=<?=$next_rec;?>','chooser','width=640, height=500, location=no,menubar=no,resaizable=no,status=no,menubar=no');
// chooser.focus();
 chooser.location='./frame_recibo_all.php?idr=<?=$next_rec;?>';
 self.location='frm_cp_pago.php';
 chooser.focus();
</script>
</head>
</html>